Name:           perl-Geo-Point
Version:        0.98
Release:        3%{?dist}
Summary:        Geographical primitives
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Geo-Point
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Geo-Point-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Geo::Distance) >= 0.06
BuildRequires:  perl(Geo::Proj4) >= 1.01
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Math::Polygon) >= 1.01
BuildRequires:  perl(Math::Polygon::Calc)
BuildRequires:  perl(Math::Polygon::Surface)
BuildRequires:  perl(Math::Trig) >= 1
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.47
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Geo::Distance) >= 0.06
Requires:       perl(Geo::Proj4) >= 1.01
Requires:       perl(Math::Polygon) >= 1.01
Requires:       perl(Math::Trig) >= 1

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Geo::Distance|Geo::Proj4|Math::Polygon|Math::Trig)\\)$

%description
These Perl modules provide geographical primitives like points, lines,
projections, or polygons. This is implemented as an abstraction above PROJ
library.

%prep
%setup -q -n Geo-Point-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.98-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.98-2
- Perl 5.30 rebuild

* Wed Mar 13 2019 Petr Pisar <ppisar@redhat.com> 0.98-1
- Specfile autogenerated by cpanspec 1.78.
